import numpy as np
import matplotlib.pyplot as plt

x = np.linspace(-2,2)
y = np.linspace(-2,2)
X,Y = np.meshgrid(x,y)
Z = 89+0.04*X-0.16*Y-8.09*X**2-5.78*Y**2-5.89*X*Y

plt.figure()
contplt = plt.contourf(X,Y,Z,[75.,80.,85.,88.,92.] \
                      , colors=['b','g','c','m'])
plt.grid()
#plt.clabel(contplt)
plt.xlabel('x')
plt.ylabel('y')

