import numpy as np
import matplotlib.pyplot as plt
# create arrays for plotting
x = np.array([1.5, 2.6, 4.3, 6.7, 9.9])
y1 = np.array([25.7, 12.9, 17.6, -3.4, 7.7])
y2 = np.array([20.2, 15.3, 10.6, 3.4, 15.2])
# plot the y arrays versus x
plt.plot(x, y1, color='k', marker='s', label='y1')
plt.plot(x, y2, color='k', linestyle='--', marker='d',
         label='y2')
plt.grid()  # add a grid
plt.xlabel('x')  # add axis labels, plot title,
plt.ylabel('y')  # and a legend
plt.title('two y arrays versus x')
plt.legend()
