import numpy as np

def funavg(func,x):
    n = len(x)
    y = np.zeros(n)
    for i in range(n):
        y[i] = func(x[i])
    return np.mean(y)

f = lambda x: x**3 - 0.28*x**2 + 0.43*x -17.4

x = np.linspace(-10,10)
favg = funavg(f,x)
print(favg)


