import numpy as np

def pctile(x,pct):
    y = np.sort(x)
    n = len(y)
    mp = pct/100*(n-1)
    mp1 = int(mp)
    xp = (mp-mp1)*y[mp1]+(1-(mp-mp1))*y[mp1+1]
    return xp

def iqr(x):
    pct25 = pctile(x,25)
    pct75 = pctile(x,75)
    return pct75-pct25

x = [6.7, 0.5, 5.1, 1.2, 2.3, 1.7, 3.1, 4.7, 0.8, 0.1]
print('iqr = {0:5.2f}'.format(iqr(x)))

