import numpy as np
import matplotlib.pyplot as plt

t,fuel,co2 = np.loadtxt('furnacedata.txt',delimiter='\t',unpack=True)

plt.plot(t,fuel,c='k')
plt.grid()
plt.xlabel('Time - s')
plt.ylabel('Normalized Fuel Rate -')

plt.twinx()
plt.plot(t,co2,c='k',ls='--')
plt.ylabel('Flue Gas CO2 Percentage --')

