import numpy as np

def funavg(func,x,*args):
    n = len(x)
    y = np.zeros(n)
    for i in range(n):
        y[i] = func(x[i],*args)
    return np.mean(y)

f = lambda x,a,b,c,d: a*x**3 + b*x**2 + c*x + d

a = 1. ; b = 0.28 ; c = 0.43 ; d = -17.4
x = np.linspace(-10,10)
favg = funavg(f,x,a,b,c,d)
print(favg)


